function bootInterp = boot_csaps(x, y, wd, xx, numboot)
%bootstrap confidence interval csaps
%the arguments are the same as csaps. The only additonal parameter is the
%numboot that indicates the number of bootstrap samples.

bootInterp = NaN(numboot, length(xx));
for nboot = 1:numboot
    randIdx = ceil(rand(1,length(x))*length(x));
    
    bootx = x(randIdx);
    booty = y(randIdx);
    
    bootInterp(nboot, :) = csaps(bootx, booty, wd, xx);
end